package Schema::Role;

use strict;
use warnings;

use base qw(DBIx::Class);

=head1 NAME

Schema::Role - Database schema for table Role

=head1 VERSION

Version 0.01

=cut

__PACKAGE__->load_components(qw/Core/);
__PACKAGE__->table('role');
__PACKAGE__->add_columns(
    name => { data_type => 'varchar', size => 255 },
    description => { data_type => 'varchar', size => 255 },
    );
__PACKAGE__->set_primary_key('name');
__PACKAGE__->add_unique_constraint( [ 'name' ] );

__PACKAGE__->has_many('user_roles' => 'Schema::UserRoles', 'role_name');
__PACKAGE__->many_to_many( users => 'user_roles', 'user' );

=head1 SEE ALSO

L<Schema>

=head1 AUTHOR

Peter Edwards, C<< <peter at dragonstaff.co.uk> >>

=head1 COPYRIGHT & LICENSE

Copyright 2008 Peter Edwards, all rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1; # End of Schema::Role
