package Schema::UserRoles;

use strict;
use warnings;

use base qw(DBIx::Class);

=head1 NAME

Schema::UserRoles - Database schema for table UserRoles

=head1 VERSION

Version 0.01

=cut

__PACKAGE__->load_components(qw/PK::Auto Core/);
__PACKAGE__->table('user_roles');
__PACKAGE__->add_columns(
    id => { data_type => 'integer', size => 16, is_auto_increment => 1 },
    user_login => { data_type => 'varchar', size => 255 },
    role_name => { data_type => 'varchar', size => 255 },
    );
__PACKAGE__->set_primary_key('id');
__PACKAGE__->add_unique_constraint( ur_user_role => [qw( user_login role_name )] );

__PACKAGE__->belongs_to( 'role' => 'Schema::Role', { 'foreign.name' => 'self.role_name' } );
__PACKAGE__->belongs_to( 'user' => 'Schema::User', { 'foreign.login' => 'self.user_login' } );

=head1 SEE ALSO

L<Schema>

=head1 AUTHOR

Peter Edwards, C<< <peter at dragonstaff.co.uk> >>

=head1 COPYRIGHT & LICENSE

Copyright 2008 Peter Edwards, all rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1; # End of Schema::UserRoles
