--
-- Table: role
--
DROP TABLE role CASCADE;
CREATE TABLE role (
  name character varying(255) NOT NULL,
  description character varying(255) NOT NULL,
  PRIMARY KEY (name)
);



--
-- Table: user_
--
DROP TABLE user_ CASCADE;
CREATE TABLE user_ (
  id bigserial NOT NULL,
  login character varying(255) NOT NULL,
  fullname character varying(255) NOT NULL,
  PRIMARY KEY (id),
  Constraint "login" UNIQUE (login)
);



--
-- Table: user_roles
--
DROP TABLE user_roles CASCADE;
CREATE TABLE user_roles (
  id bigserial NOT NULL,
  user_login character varying(255) NOT NULL,
  role_name character varying(255) NOT NULL,
  PRIMARY KEY (id),
  Constraint "ur_user_role" UNIQUE (user_login, role_name)
);

--
-- Foreign Key Definitions
--

ALTER TABLE user_roles ADD FOREIGN KEY (role_name)
  REFERENCES role (name) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE user_roles ADD FOREIGN KEY (user_login)
  REFERENCES user (login);
