-- 
-- Created by SQL::Translator::Producer::Oracle
-- Created on Tue Oct  7 11:32:53 2008
-- 
--
-- Table: role
--

DROP TABLE "role" CASCADE CONSTRAINTS;

CREATE TABLE "role" (
  "name" varchar2(255) NOT NULL,
  "description" varchar2(255) NOT NULL,
  PRIMARY KEY ("name")
);

--
-- Table: user
--

DROP TABLE "user" CASCADE CONSTRAINTS;

DROP SEQUENCE "sq_user_id";

CREATE SEQUENCE "sq_user_id";

CREATE TABLE "user" (
  "id" number(16) NOT NULL,
  "login" varchar2(255) NOT NULL,
  "fullname" varchar2(255) NOT NULL,
  PRIMARY KEY ("id"),
  CONSTRAINT "login" UNIQUE ("login")
);

--
-- Table: user_roles
--

DROP TABLE "user_roles" CASCADE CONSTRAINTS;

DROP SEQUENCE "sq_user_roles_id";

CREATE SEQUENCE "sq_user_roles_id";

CREATE TABLE "user_roles" (
  "id" number(16) NOT NULL,
  "user_login" varchar2(255) NOT NULL,
  "role_name" varchar2(255) NOT NULL,
  PRIMARY KEY ("id"),
  CONSTRAINT "ur_user_role" UNIQUE ("user_login", "role_name")
);

ALTER TABLE "user_roles" ADD CONSTRAINT "user_roles_role_name_fk" FOREIGN KEY ("role_name") REFERENCES "role" ("name") ON DELETE CASCADE;

ALTER TABLE "user_roles" ADD CONSTRAINT "user_roles_user_login_fk" FOREIGN KEY ("user_login") REFERENCES "user" ("login");

CREATE OR REPLACE TRIGGER "ai_user_id"
BEFORE INSERT ON "user"
FOR EACH ROW WHEN (
 new."id" IS NULL OR new."id" = 0
)
BEGIN
 SELECT "sq_user_id".nextval
 INTO :new."id"
 FROM dual;
END;
/

CREATE OR REPLACE TRIGGER "ai_user_roles_id"
BEFORE INSERT ON "user_roles"
FOR EACH ROW WHEN (
 new."id" IS NULL OR new."id" = 0
)
BEGIN
 SELECT "sq_user_roles_id".nextval
 INTO :new."id"
 FROM dual;
END;
/